<!DOCTYPE html>
  <html <?php language_attributes(); ?>>
    <head>
      <meta charset="<?php bloginfo( 'charset' ); ?>">
      <meta http-equiv="x-ua-compatible" content="ie=edge">
      <meta name="viewport" content="width=device-width, initial-scale=1, viewport-fit=cover">
      <?php
        if ( ! function_exists( '_wp_render_title_tag' ) ) {
          function theme_slug_render_title() {
        ?>
        <title><?php wp_title( '|', true, 'right' ); ?></title>
        <?php
          }
          add_action( 'wp_head', 'theme_slug_render_title' );
        }
      ?>
      <?php wp_head() ?>
  </head>
  <body <?php body_class(); ?>>
    <div class="mask js-mask"></div>
    <div class="nav__sticky">
      <div data-responsive-toggle="js-nav" data-hide-for="large" class="nav__responsive js-nav-responsive">
        <button id="js-btn-nav" type="button" data-toggle class="hamburger hamburger--squeeze js-btn-nav">
          <span class="hamburger-box"></span>
          <span class="hamburger-inner"></span>
        </button>
        <?php if(!get_theme_mod('azurelo_search_display')) : ?>
          <div class="nav__search">
            <a class="js-search-open" href="#"> 
              <div class="icon-search"></div>
            </a>
          </div>
        <?php endif; ?>
      </div>
      <nav id="js-nav" class="nav js-nav">
        <div class="nav__row">
          <div class="nav__container js-nav-container">
            <?php

              $defaults = array(
                'container' => '',
                'menu_class' => '',
                'menu_id' => '',
                'theme_location' => 'primary-menu',
                'depth' => 3
              );

              wp_nav_menu($defaults);

            ?>
          </div>
          <?php if(!get_theme_mod('azurelo_search_display')) : ?>
            <div class="nav__search">
              <a class="js-search-open" href="#"> 
                <div class="icon-search"></div>
              </a>
            </div>
          <?php endif; ?>
        </div>
      </nav>
    </div>
    <?php if(!get_theme_mod('azurelo_search_display')) : ?>
      <div class="search-layout js-search">
        <div class="search-layout__close">
          <a class="js-search-close hamburger hamburger--squeeze is-active" href="#">
            <span class="hamburger-box"></span>
            <span class="hamburger-inner"></span>
          </a>
        </div>
        <div class="search-layout__container">
          <?php get_search_form(); ?>
        </div>
      </div>
    <?php endif; ?>

    <header id="top" class="header align-center">
      <div class="header__container">
        <h1 class="main__title main__title--header">
          <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
            <?php if(!get_theme_mod('azurelo_hide_logo_header')) : ?>
              <?php if(!get_theme_mod('azurelo_logo_header')) : ?>
                <img src="<?php echo esc_attr( get_template_directory_uri() ); ?>/images/header/logo.png" width="235" height="83" alt="<?php bloginfo('name'); ?>" class="header__logo">
              <?php else : ?>
                <img src="<?php echo esc_url(get_theme_mod('azurelo_logo_header')); ?>" alt="<?php bloginfo('name'); ?>" class="header__logo">
              <?php endif; ?>
            <?php endif; ?>
            <span class="show-for-sr"><?php bloginfo('name'); ?></span>
          </a>
        </h1>
        <p class="main__subtitle main__subtitle--header <?php if(get_theme_mod('azurelo_hide_tagline_header')) { echo "show-for-sr"; } ?>"><?php bloginfo('description'); ?></p>
      </div>
    </header>