<?php

  function azurelo_customize_register( $wp_customize ) {

    //-----------------------------------------//
    // ADD SETTINGS FOR LAYOUT //
    //-----------------------------------------//

    $wp_customize->add_section( 'azurelo_layout' , array(
      'title'       => 'Layout settings',
      'description' => 'Customize the layout display to adapt it to your standarts.',
      'priority'    => 1,
    ));

    // Layout config
    $wp_customize->add_setting(
      'azurelo_layout_config',
      array(
        'default' => 'right_sidebar',
        'sanitize_callback' => 'azurelo_sanitize_select'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Control(
        $wp_customize,
        'azurelo_layout_config',
        array(
          'label'      => 'Layout for home page',
          'section'    => 'azurelo_layout',
          'settings'   => 'azurelo_layout_config',
          'type'     => 'radio',
          'choices'  => array(
            'full_layout'  => 'Full layout (no sidebar)',
            'left_sidebar' => 'Left sidebar',
            'right_sidebar' => 'Right sidebar'
          ),
          'default' => 'right_sidebar',
          'priority'   => 4
        )
      )
    );

    // DEFAULT DISPLAY RULE
    $wp_customize->add_setting(
      'azurelo_layout_display' ,
      array(
        'default' => 'default',
        'sanitize_callback' => 'azurelo_sanitize_select'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Control(
        $wp_customize,
        'azurelo_layout_display',
        array(
          'label'      => 'Layout algorithm for home page',
          'section'    => 'azurelo_layout',
          'settings'   => 'azurelo_layout_display',
          'type'     => 'radio',
          'choices'  => array(
            'default'  => 'Default (1 big post + 2 grid posts + 1 list post + 2 small posts at the end of page)',
            'medium-inline' => 'List (only list posts)'
          ),
          'default' => 'default',
          'priority'   => 5
        )
      )
    );

    // Layout config archives
    $wp_customize->add_setting(
      'azurelo_layout_config_archive',
      array(
        'default' => 'full_layout',
        'sanitize_callback' => 'azurelo_sanitize_select'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Control(
        $wp_customize,
        'azurelo_layout_config_archive',
        array(
          'label'      => 'Layout for archive pages (author, category, date, tag and search)',
          'section'    => 'azurelo_layout',
          'settings'   => 'azurelo_layout_config_archive',
          'type'     => 'radio',
          'choices'  => array(
            'full_layout'  => 'Full layout (no sidebar)',
            'left_sidebar' => 'Left sidebar',
            'right_sidebar' => 'Right sidebar'
          ),
          'default' => 'full_layout',
          'priority'   => 6
        )
      )
    );

    // DEFAULT DISPLAY RULE ARCHIVES
    $wp_customize->add_setting(
      'azurelo_layout_display_archive' ,
      array(
        'default' => 'medium-inline',
        'sanitize_callback' => 'azurelo_sanitize_select'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Control(
        $wp_customize,
        'azurelo_layout_display_archive',
        array(
          'label'      => 'Layout algorithm for archive pages (author, category, date, tag and search)',
          'section'    => 'azurelo_layout',
          'settings'   => 'azurelo_layout_display_archive',
          'type'     => 'radio',
          'choices'  => array(
            'default'  => 'Default (1 big post + 2 grid posts + 1 list post + 2 small posts at the end of page)',
            'medium-inline' => 'List (only list posts)'
          ),
          'default' => 'medium-inline',
          'priority'   => 7
        )
      )
    );



    //-----------------------------------------//
    // ADD SETTINGS FOR LOGOS //
    //-----------------------------------------//

    $wp_customize->add_section( 'azurelo_logo' , array(
      'title'       => 'Logo settings',
      'description' => 'Set your own logos.',
      'priority'    => 2,
    ));


    // HIDE LOGO HEADER //
    $wp_customize->add_setting(
      'azurelo_hide_logo_header',
      array(
        'default' => '',
        'sanitize_callback' => 'azurelo_sanitize_checkbox'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Control(
        $wp_customize,
        'azurelo_hide_logo_header',
        array(
          'label'      => 'Hide the header logo',
          'section'    => 'azurelo_logo',
          'settings'   => 'azurelo_hide_logo_header',
          'type'       => 'checkbox',
          'priority'   => 1
        )
      )
    );

    // HIDE TAGLINE HEADER //
    $wp_customize->add_setting(
      'azurelo_hide_tagline_header',
      array(
        'default' => '',
        'sanitize_callback' => 'azurelo_sanitize_checkbox'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Control(
        $wp_customize,
        'azurelo_hide_tagline_header',
        array(
          'label'      => 'Hide the header tagline',
          'section'    => 'azurelo_logo',
          'settings'   => 'azurelo_hide_tagline_header',
          'type'       => 'checkbox',
          'priority'   => 2
        )
      )
    );

    // LOGO HEADER //
    $wp_customize->add_setting(
      'azurelo_logo_header',
      array(
        'default' => '',
        'sanitize_callback' => 'azurelo_sanitize_image'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Image_Control(
        $wp_customize,
        'azurelo_logo_header',
        array(
          'label'      => 'Header logo',
          'section'    => 'azurelo_logo',
          'settings'   => 'azurelo_logo_header',
          'priority'   => 3
        )
      )
    );

    // HIDE LOGO FOOTER //
    $wp_customize->add_setting(
      'azurelo_hide_logo_footer',
      array(
        'default' => '',
        'sanitize_callback' => 'azurelo_sanitize_checkbox'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Control(
        $wp_customize,
        'azurelo_hide_logo_footer',
        array(
          'label'      => 'Hide the footer logo',
          'section'    => 'azurelo_logo',
          'settings'   => 'azurelo_hide_logo_footer',
          'type'       => 'checkbox',
          'priority'   => 4
        )
      )
    );

    // HIDE TAGLINE FOOTER //
    $wp_customize->add_setting(
      'azurelo_hide_tagline_footer',
      array(
        'default' => '',
        'sanitize_callback' => 'azurelo_sanitize_checkbox'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Control(
        $wp_customize,
        'azurelo_hide_tagline_footer',
        array(
          'label'      => 'Hide the footer tagline',
          'section'    => 'azurelo_logo',
          'settings'   => 'azurelo_hide_tagline_footer',
          'type'       => 'checkbox',
          'priority'   => 5
        )
      )
    );

    // LOGO FOOTER //
    $wp_customize->add_setting(
      'azurelo_logo_footer',
      array(
        'default' => '',
        'sanitize_callback' => 'azurelo_sanitize_image'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Image_Control(
        $wp_customize,
        'azurelo_logo_footer',
        array(
          'label'      => 'Footer logo',
          'section'    => 'azurelo_logo',
          'settings'   => 'azurelo_logo_footer',
          'priority'   => 6
        )
      )
    );



    //-----------------------------------------//
    // ADD SETTINGS FOR TOP BAR //
    //-----------------------------------------//

    $wp_customize->add_section( 'azurelo_top_bar' , array(
      'title'       => 'Top-bar settings',
      'description' => 'Customize the top-bar to adapt it to your standarts.',
      'priority'    => 3,
    ));

    // DISPLAY SEARCH BOX //
    $wp_customize->add_setting(
      'azurelo_search_display',
      array(
        'default' => '',
        'sanitize_callback' => 'azurelo_sanitize_checkbox'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Control(
        $wp_customize,
        'azurelo_search_display',
        array(
          'label'      => 'Hide search box',
          'section'    => 'azurelo_top_bar',
          'settings'   => 'azurelo_search_display',
          'type'       => 'checkbox',
          'priority'   => 1
        )
      )
    );

    //-----------------------------------------//
    // ADD SETTINGS FOR POSTS //
    //-----------------------------------------//

    $wp_customize->add_section( 'azurelo_post' , array(
      'title'       => 'Post settings',
      'description' => 'Customize the posts to adapt it to your standarts.',
      'priority'    => 6,
    ));

    // CATEGORY //
    $wp_customize->add_setting(
      'azurelo_post_category',
      array(
        'default' => '',
        'sanitize_callback' => 'azurelo_sanitize_checkbox'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Control(
        $wp_customize,
        'azurelo_post_category',
        array(
          'label'      => 'Hide the category',
          'section'    => 'azurelo_post',
          'settings'   => 'azurelo_post_category',
          'type'       => 'checkbox',
        )
      )
    );

    // DATE //
    $wp_customize->add_setting(
      'azurelo_post_date',
      array(
        'default' => '',
        'sanitize_callback' => 'azurelo_sanitize_checkbox'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Control(
        $wp_customize,
        'azurelo_post_date',
        array(
          'label'      => 'Hide the date',
          'section'    => 'azurelo_post',
          'settings'   => 'azurelo_post_date',
          'type'       => 'checkbox'
        )
      )
    );

    // CTA //
    $wp_customize->add_setting(
      'azurelo_post_cta',
      array(
        'default' => '',
        'sanitize_callback' => 'azurelo_sanitize_checkbox'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Control(
        $wp_customize,
        'azurelo_post_cta',
        array(
          'label'      => 'Hide the "read more" button',
          'section'    => 'azurelo_post',
          'settings'   => 'azurelo_post_cta',
          'type'       => 'checkbox'
        )
      )
    );

    // FACEBOOK //
    $wp_customize->add_setting(
      'azurelo_facebook_share',
      array(
        'default' => '',
        'sanitize_callback' => 'azurelo_sanitize_checkbox'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Control(
        $wp_customize,
        'azurelo_facebook_share',
        array(
          'label'      => 'Display the Facebook logo to share the post',
          'section'    => 'azurelo_post',
          'settings'   => 'azurelo_facebook_share',
          'type'       => 'checkbox'
        )
      )
    );

    // TWITTER //
    $wp_customize->add_setting(
      'azurelo_twitter_share',
      array(
        'default' => '',
        'sanitize_callback' => 'azurelo_sanitize_checkbox'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Control(
        $wp_customize,
        'azurelo_twitter_share',
        array(
          'label'      => 'Display the Twitter logo to share the post',
          'section'    => 'azurelo_post',
          'settings'   => 'azurelo_twitter_share',
          'type'       => 'checkbox'
        )
      )
    );

    // GOOGLEPLUS //
    $wp_customize->add_setting(
      'azurelo_google_share',
      array(
        'default' => '',
        'sanitize_callback' => 'azurelo_sanitize_checkbox'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Control(
        $wp_customize,
        'azurelo_google_share',
        array(
          'label'      => 'Display the GooglePlus logo to share the post',
          'section'    => 'azurelo_post',
          'settings'   => 'azurelo_google_share',
          'type'       => 'checkbox'
        )
      )
    );

    // PINTEREST //
    $wp_customize->add_setting(
      'azurelo_pinterest_share',
      array(
        'default' => '',
        'sanitize_callback' => 'azurelo_sanitize_checkbox'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Control(
        $wp_customize,
        'azurelo_pinterest_share',
        array(
          'label'      => 'Display the Pinterest logo to share the post',
          'section'    => 'azurelo_post',
          'settings'   => 'azurelo_pinterest_share',
          'type'       => 'checkbox'
        )
      )
    );

    // TUMBLR //
    $wp_customize->add_setting(
      'azurelo_tumblr_share',
      array(
        'default' => '',
        'sanitize_callback' => 'azurelo_sanitize_checkbox'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Control(
        $wp_customize,
        'azurelo_tumblr_share',
        array(
          'label'      => 'Display the Tumblr logo to share the post',
          'section'    => 'azurelo_post',
          'settings'   => 'azurelo_tumblr_share',
          'type'       => 'checkbox'
        )
      )
    );



    //-----------------------------------------//
    // ADD SETTINGS FOR FOOTER //
    //-----------------------------------------//

    $wp_customize->add_section( 'azurelo_footer' , array(
      'title'       => 'Footer settings',
      'description' => 'Customize the footer to adapt it to your standarts.',
      'priority'    => 7,
    ));

    // TEXT FOOTER //
    $wp_customize->add_setting(
      'azurelo_footer_text',
      array(
        'default' => '© 2017 - Azurelo - all rights reserved - designed and developed by Anakao-theme',
        'sanitize_callback' => 'azurelo_sanitize_text'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Control(
        $wp_customize,
        'azurelo_footer_text',
        array(
          'label'      => 'Footer copyright text',
          'section'    => 'azurelo_footer',
          'settings'   => 'azurelo_footer_text',
          'priority'   => 1
        )
      )
    );

    // BACK TO TOP FOOTER //
    $wp_customize->add_setting(
      'azurelo_footer_back_top',
      array(
        'default' => '',
        'sanitize_callback' => 'azurelo_sanitize_checkbox'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Control(
        $wp_customize,
        'azurelo_footer_back_top',
        array(
          'label'      => 'Hide back to top link',
          'section'    => 'azurelo_footer',
          'settings'   => 'azurelo_footer_back_top',
          'type'       => 'checkbox',
          'priority'   => 4
        )
      )
    );




    //-----------------------------------------//
    // ADD CUSTOMISATION FOR TOP BAR //
    //-----------------------------------------//

    $wp_customize->add_section( 'azurelo_top_bar_custom' , array(
      'title'       => 'Color Customization Top-bar',
      'description' => 'Customize the style of the top-bar.',
      'priority'    => 8,
    ));

    // Desktop background color //
    $wp_customize->add_setting(
      'azurelo_top_bar_background_desktop',
      array(
        'default' => '#ffffff',
        'sanitize_callback' => 'sanitize_hex_color'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Color_Control(
        $wp_customize,
        'azurelo_top_bar_background_desktop',
        array(
          'label'      => 'Top-bar background-color (desktop)',
          'section'    => 'azurelo_top_bar_custom',
          'settings'   => 'azurelo_top_bar_background_desktop',
          'priority'   => 1
        )
      )
    );

    // Mobile mobile color //
    $wp_customize->add_setting(
      'azurelo_top_bar_background_mobile',
      array(
        'default' => '#92a8d1',
        'sanitize_callback' => 'sanitize_hex_color'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Color_Control(
        $wp_customize,
        'azurelo_top_bar_background_mobile',
        array(
          'label'      => 'Top-bar background-color (mobile)',
          'section'    => 'azurelo_top_bar_custom',
          'settings'   => 'azurelo_top_bar_background_mobile',
          'priority'   => 2
        )
      )
    );

    // Color text //
    $wp_customize->add_setting(
      'azurelo_top_bar_text_color',
      array(
        'default' => '#333333',
        'sanitize_callback' => 'sanitize_hex_color'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Color_Control(
        $wp_customize,
        'azurelo_top_bar_text_color',
        array(
          'label'      => 'Link color',
          'section'    => 'azurelo_top_bar_custom',
          'settings'   => 'azurelo_top_bar_text_color',
          'priority'   => 3
        )
      )
    );

    // Color text hover//
    $wp_customize->add_setting(
      'azurelo_top_bar_text_color_hover',
      array(
        'default' => '#92a8d1',
        'sanitize_callback' => 'sanitize_hex_color'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Color_Control(
        $wp_customize,
        'azurelo_top_bar_text_color_hover',
        array(
          'label'      => 'Link color (hover)',
          'section'    => 'azurelo_top_bar_custom',
          'settings'   => 'azurelo_top_bar_text_color_hover',
          'priority'   => 4
        )
      )
    );

    // Separator color //
    $wp_customize->add_setting(
      'azurelo_top_bar_separator_color',
      array(
        'default' => '#efefef',
        'sanitize_callback' => 'sanitize_hex_color'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Color_Control(
        $wp_customize,
        'azurelo_top_bar_separator_color',
        array(
          'label'      => 'Separator color',
          'section'    => 'azurelo_top_bar_custom',
          'settings'   => 'azurelo_top_bar_separator_color',
          'priority'   => 5
        )
      )
    );

    // Desktop dropdown background color //
    $wp_customize->add_setting(
      'azurelo_top_bar_dropdown_background',
      array(
        'default' => '#ffffff',
        'sanitize_callback' => 'sanitize_hex_color'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Color_Control(
        $wp_customize,
        'azurelo_top_bar_dropdown_background',
        array(
          'label'      => 'Dropdown background-color (desktop)',
          'section'    => 'azurelo_top_bar_custom',
          'settings'   => 'azurelo_top_bar_dropdown_background',
          'priority'   => 6
        )
      )
    );

    // Mobile accordion background color //
    $wp_customize->add_setting(
      'azurelo_top_bar_accordion_background',
      array(
        'default' => '#ffffff',
        'sanitize_callback' => 'sanitize_hex_color'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Color_Control(
        $wp_customize,
        'azurelo_top_bar_accordion_background',
        array(
          'label'      => 'Accordion background-color (mobile)',
          'section'    => 'azurelo_top_bar_custom',
          'settings'   => 'azurelo_top_bar_accordion_background',
          'priority'   => 7
        )
      )
    );

    // Icon dropdown color //
    $wp_customize->add_setting(
      'azurelo_top_bar_dropdown_icon_color',
      array(
        'default' => '#92a8d1',
        'sanitize_callback' => 'sanitize_hex_color'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Color_Control(
        $wp_customize,
        'azurelo_top_bar_dropdown_icon_color',
        array(
          'label'      => 'Arrow icon color',
          'section'    => 'azurelo_top_bar_custom',
          'settings'   => 'azurelo_top_bar_dropdown_icon_color',
          'priority'   => 8
        )
      )
    );

    // Icon toggle color //
    $wp_customize->add_setting(
      'azurelo_top_bar_toggle_icon_color',
      array(
        'default' => '#ffffff',
        'sanitize_callback' => 'sanitize_hex_color'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Color_Control(
        $wp_customize,
        'azurelo_top_bar_toggle_icon_color',
        array(
          'label'      => 'Toggle icon color',
          'section'    => 'azurelo_top_bar_custom',
          'settings'   => 'azurelo_top_bar_toggle_icon_color',
          'priority'   => 9
        )
      )
    );

        $wp_customize->add_control(
      new WP_Customize_Color_Control(
        $wp_customize,
        'azurelo_top_bar_dropdown_icon_color',
        array(
          'label'      => 'Arrow icon color',
          'section'    => 'azurelo_top_bar_custom',
          'settings'   => 'azurelo_top_bar_dropdown_icon_color',
          'priority'   => 8
        )
      )
    );

    // Icon toggle color //
    $wp_customize->add_setting(
      'azurelo_top_bar_toggle_icon_color',
      array(
        'default' => '#ffffff',
        'sanitize_callback' => 'sanitize_hex_color'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Color_Control(
        $wp_customize,
        'azurelo_top_bar_toggle_icon_color',
        array(
          'label'      => 'Toggle icon color',
          'section'    => 'azurelo_top_bar_custom',
          'settings'   => 'azurelo_top_bar_toggle_icon_color',
          'priority'   => 9
        )
      )
    );

    // Icon toggle color //
    $wp_customize->add_setting(
      'azurelo_top_bar_search_icon_color',
      array(
        'default' => '#2e2e2e',
        'sanitize_callback' => 'sanitize_hex_color'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Color_Control(
        $wp_customize,
        'azurelo_top_bar_search_icon_color',
        array(
          'label'      => 'Search icon color',
          'section'    => 'azurelo_top_bar_custom',
          'settings'   => 'azurelo_top_bar_search_icon_color',
          'priority'   => 10
        )
      )
    );


    //-----------------------------------------//
    // ADD CUSTOMISATION FOR SIDEBAR //
    //-----------------------------------------//

    $wp_customize->add_section( 'azurelo_sidebar_custom' , array(
      'title'       => 'Color Customization Sidebar',
      'description' => 'Customize the style of the sidebar',
      'priority'    => 9,
    ));

    // Title first letter color //
    $wp_customize->add_setting(
      'azurelo_sidebar_first_letter_color',
      array(
        'default' => '#fff',
        'sanitize_callback' => 'sanitize_hex_color'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Color_Control(
        $wp_customize,
        'azurelo_sidebar_first_letter_color',
        array(
          'label'      => 'Heading first-letter color',
          'section'    => 'azurelo_sidebar_custom',
          'settings'   => 'azurelo_sidebar_first_letter_color',
          'priority'   => 1
        )
      )
    );

    // Title first letter background //
    $wp_customize->add_setting(
      'azurelo_sidebar_first_letter_background',
      array(
        'default' => '#c9d4e8',
        'sanitize_callback' => 'sanitize_hex_color'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Color_Control(
        $wp_customize,
        'azurelo_sidebar_first_letter_background',
        array(
          'label'      => 'Heading first-letter background-color',
          'section'    => 'azurelo_sidebar_custom',
          'settings'   => 'azurelo_sidebar_first_letter_background',
          'priority'   => 2
        )
      )
    );

    // Title color //
    $wp_customize->add_setting(
      'azurelo_sidebar_title_color',
      array(
        'default' => '#333333',
        'sanitize_callback' => 'sanitize_hex_color'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Color_Control(
        $wp_customize,
        'azurelo_sidebar_title_color',
        array(
          'label'      => 'Heading color',
          'section'    => 'azurelo_sidebar_custom',
          'settings'   => 'azurelo_sidebar_title_color',
          'priority'   => 3
        )
      )
    );

    // Link color //
    $wp_customize->add_setting(
      'azurelo_sidebar_link_color',
      array(
        'default' => '#92a8d1',
        'sanitize_callback' => 'sanitize_hex_color'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Color_Control(
        $wp_customize,
        'azurelo_sidebar_link_color',
        array(
          'label'      => 'Link color',
          'section'    => 'azurelo_sidebar_custom',
          'settings'   => 'azurelo_sidebar_link_color',
          'priority'   => 4
        )
      )
    );

    // Link color hover //
    $wp_customize->add_setting(
      'azurelo_sidebar_link_color_hover',
      array(
        'default' => '#92a8d1',
        'sanitize_callback' => 'sanitize_hex_color'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Color_Control(
        $wp_customize,
        'azurelo_sidebar_link_color_hover',
        array(
          'label'      => 'Link color (hover)',
          'section'    => 'azurelo_sidebar_custom',
          'settings'   => 'azurelo_sidebar_link_color_hover',
          'priority'   => 5
        )
      )
    );


    //-----------------------------------------//
    // ADD CUSTOMISATION FOR POST //
    //-----------------------------------------//

    $wp_customize->add_section( 'azurelo_post_custom' , array(
      'title'       => 'Color Customization Posts',
      'description' => 'Customize the style of the posts',
      'priority'    => 10,
    ));

    // Title color //
    $wp_customize->add_setting(
      'azurelo_post_title_color',
      array(
        'default' => '#333333',
        'sanitize_callback' => 'sanitize_hex_color'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Color_Control(
        $wp_customize,
        'azurelo_post_title_color',
        array(
          'label'      => 'Title color',
          'section'    => 'azurelo_post_custom',
          'settings'   => 'azurelo_post_title_color',
          'priority'   => 1
        )
      )
    );

    // Link color //
    $wp_customize->add_setting(
      'azurelo_post_link_color',
      array(
        'default' => '#92a8d1',
        'sanitize_callback' => 'sanitize_hex_color'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Color_Control(
        $wp_customize,
        'azurelo_post_link_color',
        array(
          'label'      => 'Link color',
          'section'    => 'azurelo_post_custom',
          'settings'   => 'azurelo_post_link_color',
          'priority'   => 2
        )
      )
    );

    // Link color hover//
    $wp_customize->add_setting(
      'azurelo_post_link_color_hover',
      array(
        'default' => '#6e8bc2',
        'sanitize_callback' => 'sanitize_hex_color'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Color_Control(
        $wp_customize,
        'azurelo_post_link_color_hover',
        array(
          'label'      => 'Link color (hover)',
          'section'    => 'azurelo_post_custom',
          'settings'   => 'azurelo_post_link_color_hover',
          'priority'   => 3
        )
      )
    );

    // Social icons color //
    $wp_customize->add_setting(
      'azurelo_post_social_icon_color',
      array(
        'default' => '#92a8d1',
        'sanitize_callback' => 'sanitize_hex_color'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Color_Control(
        $wp_customize,
        'azurelo_post_social_icon_color',
        array(
          'label'      => 'Social media icons color',
          'section'    => 'azurelo_post_custom',
          'settings'   => 'azurelo_post_social_icon_color',
          'priority'   => 4
        )
      )
    );

    // Text color //
    $wp_customize->add_setting(
      'azurelo_post_text_color',
      array(
        'default' => '#333333',
        'sanitize_callback' => 'sanitize_hex_color'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Color_Control(
        $wp_customize,
        'azurelo_post_text_color',
        array(
          'label'      => 'Text color',
          'section'    => 'azurelo_post_custom',
          'settings'   => 'azurelo_post_text_color',
          'priority'   => 5
        )
      )
    );

    // Meta color //
    $wp_customize->add_setting(
      'azurelo_post_meta_color',
      array(
        'default' => '#b0b0b0',
        'sanitize_callback' => 'sanitize_hex_color'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Color_Control(
        $wp_customize,
        'azurelo_post_meta_color',
        array(
          'label'      => 'Meta color',
          'section'    => 'azurelo_post_custom',
          'settings'   => 'azurelo_post_meta_color',
          'priority'   => 6
        )
      )
    );

    // Separator color //
    $wp_customize->add_setting(
      'azurelo_post_separator_color',
      array(
        'default' => '#e9eef6',
        'sanitize_callback' => 'sanitize_hex_color'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Color_Control(
        $wp_customize,
        'azurelo_post_separator_color',
        array(
          'label'      => 'Separator color',
          'section'    => 'azurelo_post_custom',
          'settings'   => 'azurelo_post_separator_color',
          'priority'   => 7
        )
      )
    );

    // Main title color //
    $wp_customize->add_setting(
      'azurelo_post_main_title_color',
      array(
        'default' => '#33333',
        'sanitize_callback' => 'sanitize_hex_color'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Color_Control(
        $wp_customize,
        'azurelo_post_main_title_color',
        array(
          'label'      => 'Main title color (post page)',
          'section'    => 'azurelo_post_custom',
          'settings'   => 'azurelo_post_main_title_color',
          'priority'   => 7
        )
      )
    );

    // Sticky post background color //
    $wp_customize->add_setting(
      'azurelo_post_sticky_background_color',
      array(
        'default' => '#e9eef6',
        'sanitize_callback' => 'sanitize_hex_color'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Color_Control(
        $wp_customize,
        'azurelo_post_sticky_background_color',
        array(
          'label'      => 'Sticky post background color',
          'section'    => 'azurelo_post_custom',
          'settings'   => 'azurelo_post_sticky_background_color',
          'priority'   => 8
        )
      )
    );

    //-----------------------------------------//
    // ADD CUSTOMISATION FOR ARCHIVE //
    //-----------------------------------------//

    $wp_customize->add_section( 'azurelo_archive' , array(
      'title'       => 'Color Customization Archives',
      'description' => 'Customize the archive page',
      'priority'    => 11,
    ));

    // COLOR OF HEADING //
    $wp_customize->add_setting(
      'azurelo_archive_heading_color',
      array(
        'default' => '#c9d4e8',
        'sanitize_callback' => 'sanitize_hex_color'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Color_Control(
        $wp_customize,
        'azurelo_archive_heading_color',
        array(
          'label'      => 'Heading color',
          'section'    => 'azurelo_archive',
          'settings'   => 'azurelo_archive_heading_color',
          'priority'   => 1
        )
      )
    );

    // COLOR OF HEADING //
    $wp_customize->add_setting(
      'azurelo_archive_separator_color',
      array(
        'default' => '#c9d4e8',
        'sanitize_callback' => 'sanitize_hex_color'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Color_Control(
        $wp_customize,
        'azurelo_archive_separator_color',
        array(
          'label'      => 'Separator color',
          'section'    => 'azurelo_archive',
          'settings'   => 'azurelo_archive_separator_color',
          'priority'   => 2
        )
      )
    );


    //-----------------------------------------//
    // ADD CUSTOMISATION FOR FOOTER //
    //-----------------------------------------//

    $wp_customize->add_section( 'azurelo_footer_css' , array(
      'title'       => 'Color Customization Footer',
      'description' => 'Customize the style of the footer',
      'priority'    => 12,
    ));

    // COLOR OF BACKGROUND //
    $wp_customize->add_setting(
      'azurelo_footer_color',
      array(
        'default' => '#92a8d1',
        'sanitize_callback' => 'sanitize_hex_color'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Color_Control(
        $wp_customize,
        'azurelo_footer_color',
        array(
          'label'      => 'Footer background color',
          'section'    => 'azurelo_footer_css',
          'settings'   => 'azurelo_footer_color',
          'priority'   => 1
        )
      )
    );

    // COLOR OF TEXT //
    $wp_customize->add_setting(
      'azurelo_footer_text_color',
      array(
        'default' => '#fff',
        'sanitize_callback' => 'sanitize_hex_color'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Color_Control(
        $wp_customize,
        'azurelo_footer_text_color',
        array(
          'label'      => 'Footer text color',
          'section'    => 'azurelo_footer_css',
          'settings'   => 'azurelo_footer_text_color',
          'priority'   => 2
        )
      )
    );

    // COLOR OF LINK //
    $wp_customize->add_setting(
      'azurelo_footer_link_color',
      array(
        'default' => '#fff',
        'sanitize_callback' => 'sanitize_hex_color'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Color_Control(
        $wp_customize,
        'azurelo_footer_link_color',
        array(
          'label'      => 'Footer link color',
          'section'    => 'azurelo_footer_css',
          'settings'   => 'azurelo_footer_link_color',
          'priority'   => 3
        )
      )
    );

    // COLOR OF LINK HOVER //
    $wp_customize->add_setting(
      'azurelo_footer_link_color_hover',
      array(
        'default' => '#fff',
        'sanitize_callback' => 'sanitize_hex_color'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Color_Control(
        $wp_customize,
        'azurelo_footer_link_color_hover',
        array(
          'label'      => 'Footer link color hover',
          'section'    => 'azurelo_footer_css',
          'settings'   => 'azurelo_footer_link_color_hover',
          'priority'   => 4
        )
      )
    );


    //-----------------------------------------//
    // ADD CUSTOMISATION FOR BUTTONS //
    //-----------------------------------------//

    $wp_customize->add_section( 'azurelo_button_css' , array(
      'title'       => 'Color Customization Buttons',
      'description' => 'Customize the style of the buttons',
      'priority'    => 13,
    ));

    // COLOR OF BACKGROUND //
    $wp_customize->add_setting(
      'azurelo_button_background_color',
      array(
        'default' => '#92a8d1',
        'sanitize_callback' => 'sanitize_hex_color'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Color_Control(
        $wp_customize,
        'azurelo_button_background_color',
        array(
          'label'      => 'Button background color',
          'section'    => 'azurelo_button_css',
          'settings'   => 'azurelo_button_background_color',
          'priority'   => 1
        )
      )
    );

    // COLOR OF BACKGROUND HOVER //
    $wp_customize->add_setting(
      'azurelo_button_background_color_hover',
      array(
        'default' => '#6e8bc2',
        'sanitize_callback' => 'sanitize_hex_color'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Color_Control(
        $wp_customize,
        'azurelo_button_background_color_hover',
        array(
          'label'      => 'Button background color hover',
          'section'    => 'azurelo_button_css',
          'settings'   => 'azurelo_button_background_color_hover',
          'priority'   => 2
        )
      )
    );

    // COLOR OF BACKGROUND ACTIVE //
    $wp_customize->add_setting(
      'azurelo_button_background_color_active',
      array(
        'default' => '#4b6fb2',
        'sanitize_callback' => 'sanitize_hex_color'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Color_Control(
        $wp_customize,
        'azurelo_button_background_color_active',
        array(
          'label'      => 'Button background color active',
          'section'    => 'azurelo_button_css',
          'settings'   => 'azurelo_button_background_color_active',
          'priority'   => 3
        )
      )
    );

    // COLOR OF TEXT //
    $wp_customize->add_setting(
      'azurelo_button_text_color',
      array(
        'default' => '#fff',
        'sanitize_callback' => 'sanitize_hex_color'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Color_Control(
        $wp_customize,
        'azurelo_button_text_color',
        array(
          'label'      => 'Button text color',
          'section'    => 'azurelo_button_css',
          'settings'   => 'azurelo_button_text_color',
          'priority'   => 4
        )
      )
    );

    // COLOR OF TEXT HOVER //
    $wp_customize->add_setting(
      'azurelo_button_text_color_hover',
      array(
        'default' => '#fff',
        'sanitize_callback' => 'sanitize_hex_color'
      )
    );

    $wp_customize->add_control(
      new WP_Customize_Color_Control(
        $wp_customize,
        'azurelo_button_text_color_hover',
        array(
          'label'      => 'Button text color hover',
          'section'    => 'azurelo_button_css',
          'settings'   => 'azurelo_button_text_color_hover',
          'priority'   => 5
        )
      )
    );

    //-----------------------------------------//
    // ADD CUSTOM CSS //
    //-----------------------------------------//

    $wp_customize->add_section( 'azurelo_css_custom' , array(
      'title'       => 'Custom CSS',
      'description' => 'Add your custom CSS',
      'priority'    => 14,
    ));

    // Title color //
    $wp_customize->add_setting(
      'azurelo_custom_css',
      array(
        'default' => '',
        'sanitize_callback' => 'azurelo_sanitize_css'
      )
    );

    $wp_customize->add_control(
      new Azurelo_Textarea_Custom_Control(
        $wp_customize,
        'azurelo_custom_css',
        array(
          'label'      => 'Custom CSS',
          'section'    => 'azurelo_css_custom',
          'settings'   => 'azurelo_custom_css',
          'priority'   => 1
        )
      )
    );

  }

  add_action( 'customize_register', 'azurelo_customize_register' );

  if (class_exists('WP_Customize_Control')) {

    class Azurelo_Textarea_Custom_Control extends WP_Customize_Control {
      /**
       * Render the control's content.
       *
       * Allows the content to be overriden without having to rewrite the wrapper.
       *
       * @since   10/16/2012
       * @return  void
       */
      public function render_content() {
        ?>
        <label>
          <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
          <textarea class="large-text" cols="20" rows="5" <?php $this->link(); ?>>
            <?php echo esc_textarea( $this->value() ); ?>
          </textarea>
        </label>
        <?php
      }
    }

  }

?>
