<?php

  function azurelo_customize_css() {

    $customize_css = '';

    if (get_theme_mod( 'azurelo_top_bar_background_desktop')) {
      $customize_css .= "@media screen and (min-width:64em){.nav{background-color:" . get_theme_mod( 'azurelo_top_bar_background_desktop' ) . "}}";
    }

    if (get_theme_mod( 'azurelo_top_bar_background_mobile')) {
      $customize_css .= ".nav__responsive{background-color:" . get_theme_mod( 'azurelo_top_bar_background_mobile' ) . "}";
    }

    if (get_theme_mod( 'azurelo_top_bar_text_color')) {
      $customize_css .= ".nav__container>div>ul a, .nav__container>ul a{color:" . get_theme_mod( 'azurelo_top_bar_text_color' ) . "}";
    }

    if (get_theme_mod( 'azurelo_top_bar_text_color_hover')) {
      $customize_css .= ".nav__container>div>ul a:hover, .nav__container>ul a:hover,.nav__container>div>ul li.is-active>a, .nav__container>ul li.is-active>a{color:" . get_theme_mod( 'azurelo_top_bar_text_color_hover' ) . "}";
    }

    if (get_theme_mod( 'azurelo_top_bar_separator_color')) {
      $customize_css .= ".nav__container>div>ul>li:not(:last-child):after, .nav__container>ul>li:not(:last-child):after{color:" . get_theme_mod( 'azurelo_top_bar_separator_color' ) . "}";
    }

    if (get_theme_mod( 'azurelo_top_bar_dropdown_background')) {
      $customize_css .= ".is-dropdown-submenu{background-color:" . get_theme_mod( 'azurelo_top_bar_dropdown_background' ) . "}";
    }

    if (get_theme_mod( 'azurelo_top_bar_accordion_background')) {
      $customize_css .= "@media screen and (max-width:64em){.nav{background-color:" . get_theme_mod( 'azurelo_top_bar_accordion_background' ) . "}}";
    }

    if (get_theme_mod( 'azurelo_top_bar_dropdown_icon_color')) {
      $customize_css .= ".is-accordion-submenu-parent>a:after{border-color:" . get_theme_mod( 'azurelo_top_bar_dropdown_icon_color' ) . "}";
    }

    if (get_theme_mod( 'azurelo_top_bar_toggle_icon_color')) {
      $customize_css .= ".hamburger-inner,.hamburger-inner:after,.hamburger-inner:before{background-color:" . get_theme_mod( 'azurelo_top_bar_toggle_icon_color' ) . "}";
    }

    if (get_theme_mod( 'azurelo_top_bar_search_icon_color')) {
      $customize_css .= ".nav__search .icon-search:before{color:" . get_theme_mod( 'azurelo_top_bar_search_icon_color' ) . "}";
    }

    if (get_theme_mod( 'azurelo_post_link_color')) {
      $customize_css .= ".box a,.post a,.about-author a,.post__comment a{color:" . get_theme_mod( 'azurelo_post_link_color' ) . "}";
    }

    if (get_theme_mod( 'azurelo_post_link_color_hover')) {
      $customize_css .= ".box a:hover,.post a:hover,.about-author a:hover,.post__comment a:hover,.box a:active,.post a:active,.about-author a:active,.post__comment a:active{color:" . get_theme_mod( 'azurelo_post_link_color_hover' ) . "}";
    }

    if (get_theme_mod( 'azurelo_post_social_icon_color')) {
      $customize_css .= ".social-list-icon i{color:" . get_theme_mod( 'azurelo_post_social_icon_color' ) . "}";
    }

    if (get_theme_mod( 'azurelo_post_text_color')) {
      $customize_css .= ".box__text,.post__content p,.post__content h1,.post__content h2,.post__content h3,.post__content h4,.post__content h5,.post__content h6{color:" . get_theme_mod( 'azurelo_post_text_color' ) . "}";
    }

    if (get_theme_mod( 'azurelo_post_meta_color')) {
      $customize_css .= ".box__meta,.post__meta,.post__comment .comment__meta{color:" . get_theme_mod( 'azurelo_post_meta_color' ) . "}";
    }

    if (get_theme_mod( 'azurelo_post_separator_color')) {
      $customize_css .= ".box__footer{border-color:" . get_theme_mod( 'azurelo_post_separator_color' ) . "}";
    }

    if (get_theme_mod( 'azurelo_post_main_title_color')) {
      $customize_css .= ".content__heading,.comment-reply-title{color:" . get_theme_mod( 'azurelo_post_main_title_color' ) . "}";
    }

    if (get_theme_mod( 'azurelo_post_sticky_background_color')) {
      $customize_css .= ".box.sticky:not(.box--trending){background-color:" . get_theme_mod( 'azurelo_post_sticky_background_color' ) . "}";
    }

    if (get_theme_mod( 'azurelo_sidebar_first_letter_color')) {
      $customize_css .= ".main__secondary .widget__heading:first-letter{color:" . get_theme_mod( 'azurelo_sidebar_first_letter_color' ) . "}";
    }

    if (get_theme_mod( 'azurelo_sidebar_first_letter_background')) {
      $customize_css .= ".main__secondary .widget__heading:first-letter{background:" . get_theme_mod( 'azurelo_sidebar_first_letter_background' ) . "}";
    }

    if (get_theme_mod( 'azurelo_sidebar_title_color')) {
      $customize_css .= ".widget__heading{color:" . get_theme_mod( 'azurelo_sidebar_title_color' ) . "}";
    }

    if (get_theme_mod( 'azurelo_sidebar_link_color')) {
      $customize_css .= ".widget a,.widget_tag_cloud a{color:" . get_theme_mod( 'azurelo_sidebar_link_color' ) . "}";
    }

    if (get_theme_mod( 'azurelo_sidebar_link_color_hover')) {
      $customize_css .= ".widget a:hover,.widget a:active,.widget_tag_cloud a:hover,.widget_tag_cloud a:active{color:" . get_theme_mod( 'azurelo_sidebar_link_color_hover' ) . "}";
    }

    if (get_theme_mod( 'azurelo_archive_heading_color')) {
      $customize_css .= ".c-heading span{background-color:" . get_theme_mod( 'azurelo_archive_heading_color' ) . "}.page-404 h1{color:" . get_theme_mod( 'azurelo_archive_heading_color' ) . "}";
    }

    if (get_theme_mod( 'azurelo_archive_separator_color')) {
      $customize_css .= ".c-heading{border-bottom: 1px solid " . get_theme_mod( 'azurelo_archive_separator_color' ) . "}";
    }

    if (get_theme_mod( 'azurelo_post_title_color')) {
      $customize_css .= ".box__title,.post__heading,.box__title a,.box__title a:hover{color:" . get_theme_mod( 'azurelo_post_title_color' ) . "}";
    }

    if (get_theme_mod( 'azurelo_footer_color')) {
      $customize_css .= ".footer{background-color:" . get_theme_mod( 'azurelo_footer_color' ) . "}";
    }

    if (get_theme_mod( 'azurelo_footer_text_color')) {
      $customize_css .= ".footer p{color:" . get_theme_mod( 'azurelo_footer_text_color' ) . "}";
    }

    if (get_theme_mod( 'azurelo_footer_link_color')) {
      $customize_css .= ".footer a{color:" . get_theme_mod( 'azurelo_footer_link_color' ) . "}.footer__back a:after{border-color:" . get_theme_mod( 'azurelo_footer_link_color' ) . "}";
    }

    if (get_theme_mod( 'azurelo_footer_link_color_hover')) {
      $customize_css .= ".footer a:hover{color:" . get_theme_mod( 'azurelo_footer_link_color_hover' ) . "}.footer__back a:active::after, .footer__back a:hover::after{border-color:" . get_theme_mod( 'azurelo_footer_link_color_hover' ) . "}";
    }

    if (get_theme_mod( 'azurelo_button_background_color')) {
      $customize_css .= ".btn-secondary,.load-more a,form input[type=submit]{border-color:" . get_theme_mod( 'azurelo_button_background_color' ) . ";background: " . get_theme_mod( 'azurelo_button_background_color' ) . "}";
    }

    if (get_theme_mod( 'azurelo_button_background_color_hover')) {
      $customize_css .= ".btn-secondary:hover,.load-more a:hover,form input[type=submit]:hover{border-color:" . get_theme_mod( 'azurelo_button_background_color_hover' ) . ";background: " . get_theme_mod( 'azurelo_button_background_color_hover' ) . "}";
    }

    if (get_theme_mod( 'azurelo_button_background_color_active')) {
      $customize_css .= ".btn-secondary:active,.load-more a:active,form input[type=submit]:active{border-color:" . get_theme_mod( 'azurelo_button_background_color_active' ) . ";background: " . get_theme_mod( 'azurelo_button_background_color_active' ) . "}";
    }

    if (get_theme_mod( 'azurelo_button_text_color')) {
      $customize_css .= ".btn-secondary,.load-more a,form input[type=submit]{color: " . get_theme_mod( 'azurelo_button_text_color' ) . "}";
    }

    if (get_theme_mod( 'azurelo_button_text_color_hover')) {
      $customize_css .= ".btn-secondary:hover,.load-more a:hover,form input[type=submit]:hover{color: " . get_theme_mod( 'azurelo_button_text_color_hover' ) . "}";
    }

    if(get_theme_mod('azurelo_custom_css')) {
      $customize_css .= get_theme_mod('azurelo_custom_css');
    }

    wp_add_inline_style( 'azurelo_style', $customize_css );

  }

  add_action( 'wp_enqueue_scripts', 'azurelo_customize_css', 10, 2 );

?>
