<?php $shared_vars = azurelo_share_var(); ?>

<?php get_header(); ?>

<section class="main js-main <?php echo esc_attr($shared_vars['layout_class']) ?>">

  <div class="main__primary js-main-primary">

    <div class="c-heading__container">
      <h2 class="c-heading"><?php esc_html_e( 'Result for', 'azurelo' ); ?>
        <span><?php printf( esc_html__( '%s', 'azurelo' ), esc_html(get_search_query()) ); ?></span>
      </h2>
    </div>

    <?php if (have_posts()) : ?>
    
      <div class="box-container-row">

        <?php azurelo_post_algorithm() ?>

      </div>

    <?php else : ?>

      <div class="no-result">

        <span class="first-level"><?php esc_html_e( 'It seems that nothing shows up', 'azurelo' ); ?></span>
        <span class="second-level"><?php esc_html_e( 'Perhaps you should head to the home page', 'azurelo' ); ?></span>
        <span class="third-level"><?php esc_html_e( 'Or maybe you looking for something specific...', 'azurelo' ); ?></span>

        <?php get_search_form(); ?>

      </div>

    <?php endif; ?>

  </div>

  <?php if ($shared_vars['layout_class'] == 'left-sidebar' || $shared_vars['layout_class'] == 'right-sidebar') : ?>

    <?php get_sidebar(); ?>

  <?php endif; ?>

</section>

<?php get_footer(); ?>
