<?php $shared_vars = azurelo_share_var(); ?>

<?php get_header(); ?>

<?php

  $post_class = 'post';

  if ( isset($_GET['layout_post']) ) {
    
    $layout_config = $_GET['layout_post'];

    if ($layout_config == 'sidebar') {
      $shared_vars['layout_class'] = 'right-sidebar';
    }
  
  } else if ( function_exists( 'azurelo_meta_box_add' ) ) {

    $post_meta_layout = get_post_meta( get_the_ID(), 'meta_box_select', true );

    if ( $post_meta_layout == 'full') {

      $shared_vars['layout_class'] = 'full-layout js-full-layout';

      $post_class = 'post post--full';

    } else if ( $post_meta_layout == 'sidebar-right') {

      $shared_vars['layout_class'] = 'right-sidebar';

    } else if ( $post_meta_layout == 'sidebar-left') {

      $shared_vars['layout_class'] = 'left-sidebar';

    }

  }

?>

<section class="main js-main <?php echo esc_attr( $shared_vars['layout_class'] ) ?>">

  <div class="main__primary js-main-primary">

    <?php if (have_posts()) : while (have_posts()) : the_post(); ?>

      <article id="post-<?php the_ID(); ?>" <?php post_class($post_class); ?>>

        <?php if( has_post_thumbnail() ) : ?>

          <div class="post__image">

            <?php echo the_post_thumbnail( 'azurelo_full_hd' ); ?>

          </div>

        <?php endif; ?>

        <header class="post__header">

          <div class="post__category">
            <?php the_category(' '); ?>
          </div>

          <h1 class="post__heading"><?php the_title(); ?></h1>

        </header>

        <div class="post__meta">

          <div class="post__meta--left">

            <span class="post__meta-author"><?php echo esc_html_e('posted by', 'azurelo') ?>
              <?php the_author_posts_link(); ?>
            </span>
            <span class="post__meta-separator"> - </span>
            <time datetime="<?php esc_attr( the_time('Y-m-d') ); ?>" class="post__meta-date"><?php the_date(); ?></time >
          </div>


          <?php if(comments_open()) : ?>

            <div class="post__meta--right">

              <span class="post__meta-post"><a href="#respond" data-scroll><?php echo esc_html_e('post a comment', 'azurelo') ?></a></span>

              <?php

                $num_comments = get_comments_number();

                if ( $num_comments > 0 ) : ?>

                  <span class="post__meta-separator"> - </span>

                  <span class="post__meta-comments"><?php comments_number('', esc_html__('1 comment','azurelo'), '% ' . esc_html__('comments','azurelo') ); ?></span>

              <?php endif; ?>

            </div>

          <?php endif; ?>

        </div>

        <div class="post__content">

          <?php

            the_content( esc_html__('Read more','azurelo') );

          ?>

          <div class="clearfix"></div>

        </div>

        <div class="post__pagination">

          <?php wp_link_pages(); ?>

        </div>

        <?php $posttags = get_the_tags(); ?>

        <?php if ($posttags || get_theme_mod('azurelo_facebook_share') || get_theme_mod('azurelo_twitter_share') || get_theme_mod('azurelo_google_share') || get_theme_mod('azurelo_pinterest_share') || get_theme_mod('azurelo_tumblr_share')) : ?>

          <footer class="post__footer">

            <div class="post__tags">

              <ul class="tag__list">

                <?php if ($posttags) : ?>

                  <?php foreach($posttags as $tag) : ?>

                    <li class="tag__item">
                      <a href="<?php echo esc_url( get_tag_link($tag->term_id) ); ?>" title="<?php echo esc_attr( $tag->name ); ?>" class="tag__link">
                        <?php echo esc_html( $tag->name ) ?>
                      </a>
                    </li>

                  <?php endforeach; ?>

                <?php endif; ?>

              </ul>

            </div>

            <div class="post__share">
              <?php get_template_part('templates/post_social_share'); ?>
            </div>

          </footer>

        <?php endif; ?>

      </article>

      <?php if(get_the_author_meta('description')) : ?>

        <?php get_template_part('templates/author_about'); ?>

      <?php endif; ?>

      <?php get_template_part('templates/relative_content'); ?>

      <?php comments_template(); ?>

    <?php endwhile;  endif; ?>

  </div>

  <?php if ($shared_vars['layout_class'] == 'left-sidebar' || $shared_vars['layout_class'] == 'right-sidebar') : ?>

    <?php get_sidebar(); ?>

  <?php endif; ?>

</section>

<?php get_footer(); ?>
