<article <?php post_class('box box--medium box--inline'); ?> id="post-<?php the_ID(); ?>">
  <div class="box__container">
    <?php if (has_post_thumbnail()) : ?>
      <div class="box__thumbnail">
        <a href="<?php echo esc_url( get_permalink() ); ?>" class="overlay box__overlay">
          <?php echo the_post_thumbnail( 'azurelo_medium' ); ?>
        </a>
      </div>
    <?php endif; ?>
    <div class="box__content">
      <?php if(!get_theme_mod('azurelo_post_category')) : ?>
        <div class="box__category">
          <?php the_category(' '); ?>
        </div>
      <?php endif; ?>
      <h2 class="box__title">
        <a href="<?php echo esc_url( get_permalink() ); ?>">
          <?php the_title(); ?>
        </a>
      </h2>
      <p class="box__text">
        <?php echo azurelo_excerpt(get_the_excerpt(), 60); ?>
      </p>
      <div class="box__meta">
        <?php if(!get_theme_mod('azurelo_post_date')) : ?>
          <time datetime="<?php esc_attr( the_time('Y-m-d') ); ?>" class="box__meta-date"><?php echo get_the_date(); ?></time>
        <?php endif; ?>
      </div>
      <div class="box__footer box--split">
        <?php if(!get_theme_mod('azurelo_post_cta')) : ?>
          <a href="<?php echo esc_url( get_permalink() ); ?>" class="box__cta"><?php echo esc_html_e('Read more', 'azurelo') ?></a>
        <?php endif; ?>
        <div class="box__share">
          <?php get_template_part('templates/post_social_share'); ?>
        </div>
      </div>
    </div>
  </div>
</article>
